Skip to main content
PATCH
/
v1
/
decision-categories
/
{id}
Update decision category
curl --request PATCH \
  --url https://staging.api.us.aptlydone.com/settings/v1/decision-categories/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sectionId": "3a0501b0-93a1-4437-8043-768be2e6c709",
  "categoryName": "Finance",
  "isDeleted": false
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:20.711Z",
  "message": "Success",
  "data": {
    "id": "de65c726-e7c2-4414-a663-73481cce67bd",
    "tenantId": "6fe602ae-4f92-41e4-83f4-1f187cb6307e",
    "categoryName": "Finance",
    "isDeleted": false,
    "section": {
      "id": "895f39c5-0896-48a5-bc8d-b8884b15eb42",
      "tenantId": "a647dc83-a274-40ba-aea1-e3117bda5137",
      "sectionName": "Finance Department",
      "isDeleted": false
    },
    "createdAt": "2024-01-15T12:00:00Z",
    "sectionId": "e0ad86e3-662d-4423-8d04-fff24464c1a8"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
sectionId
string

Section ID

Example:

"3a0501b0-93a1-4437-8043-768be2e6c709"

categoryName
string

Category name

Maximum string length: 50
Example:

"Finance"

isDeleted
boolean

Is deleted flag

Example:

false

Response

200 - application/json

Decision category updated successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:20.711Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data